#------------------------------------------------------------------------
# Standard compiler flags
#------------------------------------------------------------------------

include $(ldas_top_srcdir)/build/make-macros/compilerflags.mk

RECURSIVE_TARGETS=$(PROJECT_RECURSIVE_TARGETS)

EXTRA_PROGRAMS =
#------------------------------------------------------------------------
# Variable definitions
#------------------------------------------------------------------------
if HAVE_TCL
if HAVE_OSPACE
if HAVE_PACKAGE_ILWD
EXTRA_PROGRAMS += dbcheck
endif
endif
endif

TESTS = $(EXTRA_PROGRAMS)

AM_CPPFLAGS = $(CXXFLAGS) $(TCL_INCLUDE_SPEC) -I$(top_srcdir)/src -I$(ldas_top_builddir)/include

TESTS_ENVIRONMENT=env "SRCDIR=$(srcdir)" \
	"TEST_DATA_DIR=$(ldas_top_srcdir)/api/test/eventmonAPI" \
	"LDAS_TABLE_DEFINITION=$(ldas_top_srcdir)/dbms/db2/sql"

dbcheck_SOURCES = dbcheck.cc
dbcheck_LDADD = ../src/libeventmonAPI.la $(general_la) $(TCL_LIB_SPEC) $(TCL_STUB_SPEC) -ldl

clean-local:
	rm -f $(TESTS)

include $(ldas_top_srcdir)/build/make-macros/memory-debug.mk
